commit 4638c91a1d95dc3d5e2cfc68a69a0a09f83e8c5c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 7 15:58:15 2026 -0800

    xcalc 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 20f35e8d9be3ebb7fb5a0bc6bd8cfbf5ad125656
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eeea96a44987a7d6644482ed8b5e2c7fed11d1b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 18 16:59:52 2025 -0700

    man page: fix warnings from `mandoc -T lint` and `groff -rCHECKSTYLE=10`
    
    troff:xcalc.1:401: warning: macro '.' not defined
    troff:xcalc.1:401: warning: tab character in unquoted macro argument
    
    mandoc: xcalc.1:401:3: ERROR: skipping end of block that is not open: ..
    mandoc: xcalc.1:42:13: WARNING: cannot parse date, using it verbatim: TH xcalc 1.1.2
    mandoc: xcalc.1:59:2: WARNING: skipping paragraph macro: PP empty
    mandoc: xcalc.1:65:2: WARNING: skipping paragraph macro: PP empty
    mandoc: xcalc.1:56:2: WARNING: skipping paragraph macro: PP after SH
    mandoc: xcalc.1:78:2: WARNING: skipping paragraph macro: PP after SH
    mandoc: xcalc.1:408:2: WARNING: skipping paragraph macro: PP empty
    mandoc: xcalc.1:358:2: WARNING: skipping paragraph macro: PP after SH
    mandoc: xcalc.1:425:2: WARNING: skipping paragraph macro: br after sp
    mandoc: xcalc.1:426:29: WARNING: tab in filled text
    mandoc: xcalc.1:428:29: WARNING: tab in filled text
    mandoc: xcalc.1:432:30: WARNING: tab in filled text
    mandoc: xcalc.1:434:30: WARNING: tab in filled text
    mandoc: xcalc.1:438:30: WARNING: tab in filled text
    mandoc: xcalc.1:440:30: WARNING: tab in filled text
    mandoc: xcalc.1:469:2: WARNING: skipping paragraph macro: PP empty
    mandoc: xcalc.1:482:2: STYLE: fill mode already enabled, skipping: fi
    mandoc: xcalc.1:489:2: WARNING: skipping paragraph macro: br after sp
    mandoc: xcalc.1:493:2: STYLE: fill mode already enabled, skipping: fi
    mandoc: xcalc.1:499:2: WARNING: skipping paragraph macro: PP after SH
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xcalc/-/merge_requests/18>

commit fff2dc0a41c6bf3618ec45b2cdc79df0c201d413
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 30 10:15:24 2025 -0700

    Improve man page formatting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xcalc/-/merge_requests/17>

commit 4007fcc6ef48d8c6aed6421a7b8107afc4333c6b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 2 13:58:35 2025 -0800

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xcalc/-/merge_requests/16>

commit f7017f020749b0cb7787785f56193fa80ba95429
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 8 15:50:32 2024 -0800

    Add cast to quiet -Wshorten-64-to-32 warning
    
    Clears clang 13 warning of:
    math.c:433:29: warning: implicit conversion loses integer precision:
     'unsigned long' to 'int' [-Wshorten-64-to-32]
        exponent=strlen(dispstr)-1;  /* where the '-' goes */
                ~~~~~~~~~~~~~~~~^~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xcalc/-/merge_requests/15>

commit 25ed62879ef69a35eeeaef1ebb06ff3a057e77c6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 8 15:42:13 2024 -0800

    Add unused attributes to unused parameters of callback functions
    
    Clears 204 clang warnings of the form:
    xcalc.c:358:31: warning: unused parameter 'w' [-Wunused-parameter]
    static Boolean convert(Widget w, Atom *selection, Atom *target, Atom *type,
                                  ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xcalc/-/merge_requests/15>

commit 2e019663b00ce409bb31d97ec99bff95232d0381
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 8 15:32:37 2024 -0800

    Add noreturn attribute to Syntax() prototype
    
    Clears clang warning of:
    xcalc.c:330:1: warning: function 'Syntax' could be declared with
     attribute 'noreturn' [-Wmissing-noreturn]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xcalc/-/merge_requests/15>

commit dee16e7a2b42c51fb490b42f8bdce61afffa5201
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 11 12:11:18 2024 -0800

    actions.c: handle 61 -Wextra-semi-stmt warnings from clang
    
    Wrap XCALC_PRE_OP macro definition in do {...} while (0) to
    clear up warnings from clang 13 of the form:
    
    actions.c:161:23: warning: empty expression statement has no effect;
     remove unnecessary ';' to silence this warning [-Wextra-semi-stmt]
        XCALC_PRE_OP(kADD);
                          ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xcalc/-/merge_requests/14>

commit 6f3abc4e478b9d91c6c3ad41925353bb744e5d2f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 2 18:33:22 2024 -0700

    negf: Fix -Wformat-truncation warning
    
    math.c: In function ‘negf’:
    math.c:474:36: warning: ‘snprintf’ output may be truncated before the last
     format character [-Wformat-truncation=]
      474 |     snprintf(tmp, sizeof(tmp), "-%s", dispstr);
          |                                    ^
    math.c:474:5: note: ‘snprintf’ output between 2 and 33 bytes into a
     destination of size 32
      474 |     snprintf(tmp, sizeof(tmp), "-%s", dispstr);
          |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xcalc/-/merge_requests/13>

commit 62bfb33c545c6afd0cd5ee050168ce1fd461a956
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 4 16:54:24 2023 -0700

    xcalc 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b81cfc8c61991a8f997340f5c67704d695c1fc21
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 18 13:45:45 2023 -0800

    Accept number keys on main keyboard when NumLock is on
    
    Adds translations with NumLock modifier active, since removing "None"
    from the existing translations would make shifted keys enter numbers
    instead of doing the operations corresponding to the shifted character.
    
    Fixes: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=173314
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d8e95b8b949970dbeeeeba73b1bc71d7f662e5cc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 5 11:13:41 2023 -0800

    Add -help option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fc6543c0f9292880180531d656e80c903e8e7dfd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 5 10:22:09 2023 -0800

    Stop casting function returns to void
    
    This was used with old versions of lint to stop warnings about
    unused return values.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 28429cd68dfdc9850d3ebc7f712dc752a1c9244c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 5 10:17:01 2023 -0800

    Fix -version handling to not require opening a display first
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d624c05dc44dcb69ae48d0c0665e326fcdc972ba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 28 11:25:46 2023 -0800

    Add -version option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 846249c8bb9f113573c7c6504ea45ae673f4652b
Author: Michael Bäuerle <michael.baeuerle@stz-e.de>
Date:   Wed Jan 25 16:00:51 2023 +0100

    Key color highlighting still incorrect
    
    Update red keys on right and make the hexadecimal digit keys white too
    
    Fixes: 19eb8ce ("TI mode: correct key color highlighting")
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 478c9725430c0087e08547fad5f93072f459da94
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 13 15:46:06 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dfbeedae7eefa1605ed2f912beb0de31810ec63f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 10:33:30 2022 -0700

    xcalc 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d484e053d54801f1afdcc67ef7651d048df97295
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 13:01:49 2022 -0700

    man page: remove out-of-date COPYRIGHT section
    
    The information previously listed here didn't match what is present in
    the source code or the COPYING file, and the X(7) man page doesn't list
    any license information as this had claimed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7889111d9809af38a2cfb8c1ead1931c1f593be8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 10:42:03 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 242bcecfbb662a1c57f3d8d505492be2b6db89a2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 10:42:00 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b7886c8da2a3d8a92dea43828202d1762898041b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 11:42:06 2021 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 19eb8cefe1c3f7b5018e51d3dd5cc4bf691a553d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 17 17:02:35 2021 -0700

    TI mode: correct key color highlighting
    
    Decimal number key mapping in XCalc-color was offset after adding
    the bitwise ops & base conversion keys in commit c4f1bdb1
    
    Fixes: #2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit df1721c44e0b357f4d8ae80247861b4a6f7a7bbb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 9 13:44:24 2019 -0700

    xcalc 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 74a71638ace07252e85106d87f80a62b1f07280f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 17:33:44 2019 -0700

    Fix -Wsign-compare warning in quit() function
    
    Reported by gcc 7.3:
    actions.c: In function ‘quit’:
    actions.c:414:60: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         if (ev->type == ClientMessage && ev->xclient.data.l[0] != wm_delete_window)
                                                                ^~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 012115650d15697e1cdc13edf770ac9775b108f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 17:29:15 2019 -0700

    Fix -Wsign-compare warning in Syntax() function
    
    Reported by gcc 7.3:
    xcalc.c: In function ‘Syntax’:
    xcalc.c:322:17: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i=0; i < XtNumber(Options); i++)
                     ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7a04d51cb90b9a314eea117bc36fedb2bfaab516
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 17:24:20 2019 -0700

    Pass -D_CONST_X_STRING to make libXt declare String as const char *
    
    Clears up 58 of 62 gcc -Wdiscarded-qualifiers warnings in the xcalc build
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 519e35d2c5649a995d39ee26e39809a3b7ffabc9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 17:16:11 2019 -0700

    Add bitwise ops and base conversion (DEC/OCT/HEX) to man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c4f1bdb16b560d813e6ded83c2d7a4f4d280a90a
Author: Tim Hentenaar <tim@hentenaar.com>
Date:   Sat Mar 22 02:47:33 2014 +0100

    Add bitwise ops and base conversion (DEC/OCT/HEX) in TI mode
    
    These operations implicitly truncate their parameters, and result to
    integers:
    
    * not
    * and
    * or
    * xor
    * shl
    * shr
    * mod
    * trunc
    
    Base 2 was left out of the base conversion code intentionally as it
    would require making the UI at least one third wider.
    
    Attempts to change base with negative values will simply display
    "error." Note that with larger numbers, the result may be inaccurate
    due to rounding.
    
    I've also bound the Return key to the equal() action.
    
    Signed-off-by: Tim Hentenaar <tim@hentenaar.com>

commit be5114cebfdc29788cf038d349c0ed6cce4bb536
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 17 13:50:58 2019 -0800

    xcalc 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 85c9feb6e10cea1ef017d702151b14717c40b9d5
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Sun Jul 7 22:50:30 2013 +0200

    Reduce scope of i (cppcheck --verbose --enable=all)
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aa3d39389bfc752486a83933574d0365c74d4e29
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Sun Jul 7 22:50:29 2013 +0200

    Reduce scope of cell (cppcheck --verbose --enable=all)
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d156f428912aecdd493e075b75e735bfbae7dda
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:59:17 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b8f4da1126dd44b4adc5f83ba5c7e06a2de75996
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 21:11:40 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8df4b463f69fc3e7e08ce5de284ed7f318935c1e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 12:20:12 2018 -0700

    Reword fall through comments to appease gcc -Wimplicit-fallthrough
    
    Gets rid of these warnings:
    math.c:707:24: warning: this statement may fall through [-Wimplicit-fallthrough=]
       case kSQR:   flagINV = !flagINV; /* fall through to */
                    ~~~~~~~~^~~~~~~~~~
    math.c:708:3: note: here
       case kSQRT:  if (flagINV) dnum=dnum*dnum;
       ^~~~
    math.c:711:24: warning: this statement may fall through [-Wimplicit-fallthrough=]
       case k10X:   flagINV = !flagINV; /* fall through to */
                    ~~~~~~~~^~~~~~~~~~
    math.c:712:3: note: here
       case kLOG:   if (flagINV) dnum=pow(10.0,dnum);
       ^~~~
    math.c:715:24: warning: this statement may fall through [-Wimplicit-fallthrough=]
       case kEXP:   flagINV = !flagINV; /* fall through to */
                    ~~~~~~~~^~~~~~~~~~
    math.c:716:3: note: here
       case kLN:    if (flagINV) dnum=exp(dnum);
       ^~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7a90211e35841758ff11e79a1633494e2055df88
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 12:15:19 2018 -0700

    Fix misleading indentation in math.c
    
    math.c: In function ‘numeric’:
    math.c:267:3: warning: this ‘if’ clause does not guard... [-Wmisleading-indentat
    ion]
       if ((int) strlen(dispstr) >= MAXDISP)
       ^~
    math.c:270:5: note: ...this statement, but the latter is misleadingly indented a
    s if it were guarded by the ‘if’
         switch (keynum){
         ^~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d056a3c6843cf5f6c8b392c46bc4f1b637f87d0b
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit f5982d0175359f7db28127cba3a42e08352f295b
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 004ce8287f9afab014a44c8bb8ba476ef5930a57
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 0fba659f91bebe1f92f4de2660bf806fd049350b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 19 21:26:22 2015 -0800

    xcalc 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a647c9bd255c136f9e6e3e274ecf4253e9ead6d6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Aug 7 19:20:44 2014 -0700

    Replace index() call with strchr()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a91574fe283263a3f9d91fb257ecb2c5b0a97541
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:10:55 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6387133e231ec16da4204fddaffafe70d077e5d8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:10:55 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8afe5270310698d24fff370276c7fd91eb816720
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 17 08:24:45 2013 -0500

    Replace signal_t with void
    
    Now that Imake SIGNALRETURNSINT has been removed, the signal handler
    function return type can only be void.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 40911339c45a880abbe6ad60dac4718a402d88ab
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Dec 16 10:04:46 2013 -0500

    Assume signal handlers return void, as C89 requires
    
    Drops use of Imake's obsolete SIGNALRETURNSINT.
    
    Reviewd-by: Mark Kettenis <kettenis@openbsd.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 25454313c637f2b6983ba289deed96141cec8000
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 9 23:01:23 2013 -0700

    Mark functions noreturn as suggested by gcc -Wmissing-noreturn
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de0e13ada857191a59c0e8f985d2317a7c41f43b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 9 22:56:02 2013 -0700

    Rename "e" arguments to "ev" to avoid shadowing e() function
    
    Resolves many gcc warnings of the form:
    actions.c: In function ‘add’:
    actions.c:142:35: warning: declaration of ‘e’ shadows a global declaration
    actions.c:57:13: warning: shadowed declaration is here [-Wshadow]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 40da34202dffa96197c6248a9d80894611e27921
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 9 22:53:07 2013 -0700

    Remove redundant redeclaration of ‘factorial’
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1de8253f0ede02ec87d28b028de97da79adc12e2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 9 22:49:21 2013 -0700

    Replace sprintf & strcpy calls with snprintf & strlcpy
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3d58c22c4c2729d52b5278c0e6350c0f9f44cfa8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 20:45:40 2013 -0700

    Remove unused min & max macros from math.c
    
    Flagged by clang:
    
     math.c:33:9: warning: macro is not used [-Wunused-macros]
     #define min(a,b) ((a) < (b) ? (a) : (b))
             ^
     math.c:34:9: warning: macro is not used [-Wunused-macros]
     #define max(a,b) ((a) > (b) ? (a) : (b))
             ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e6d23bb9d57ae3d19e9eb47ced654669fca4d7c
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Sun Jul 7 02:02:46 2013 +0200

    Use the new M_E symbol from math.h
    
    Use the new M_E symbol from math.h and fix and a value of the same
    accuracy if it's necessary to redefine M_E.
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f3b065f03a7b68310b489d5d97b11985ef36e977
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Sun Jul 7 02:02:38 2013 +0200

    Use the new M_PI symbol from math.h
    
    Use the new M_PI symbol from math.h and fix and a value of the same
    accuracy if it's necessary to redefine M_PI.
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b9a89876666a42ad8692e8384a5a826456e6ae56
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Sat Jul 6 15:39:07 2013 +0200

    Drop CRAY support
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7e67bcb9563302f4e89be7a2afb1ae30c185689e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 14 23:08:54 2013 -0800

    xcalc 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa70ea30be4c1a13d553785da8f6e920471655d4
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Aug 23 06:12:20 2012 -0400

    Use table markup rather than tab stops.  Aids DocBook translation.

commit 1e885381028c2e94a7f83a6489f11ed00f18b530
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:28:31 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cad47868c99d4eac0ae2ad305399143a9aed3b2d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:27:03 2011 -0700

    Add const to parse_double() args to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c8ef1bb20266365a46ea82dfff79c78b6c61337d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c9c8030e71d2a3d6663f177963d8dcf148a46067
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8cc897e03ff972d2f2addf54ed54d014845cc9bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d1dac5141b2398d5490453e0ff150b3db836a15f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:49 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2755eae3be5fc239da792c46a10426281ee77b85
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 26 13:53:42 2010 -0800

    xcalc 1.0.4.1
    
    Just respinning the tarballs with the correct install-sh instead of the
    broken copy accidentally included in the 1.0.4 tarballs.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8245b9f8451b92a1aaa7a3520114a4afdd37c2e8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 24 15:58:04 2010 -0800

    xcalc 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ac002703c8bda62f768f581e1ec81bbf7446365
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 11:12:55 2010 -0800

    create_keypad: declare list of button name strings as const
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d7aa29c6209391cf8307c19b5cf84528f8c2184
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:55:58 2010 -0800

    Purge RCS/CVS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9ede32efd5f840b7728e28e24efe2759e2c3917b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:41:45 2010 -0800

    config: Explicitly check for xt & x11 pkgs, since xcalc calls those directly
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4be6d1bd7b6293ff4af1042098a6164aa9639595
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:37:40 2010 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30e01e9b012c7191c28946a73c2ff5b969d9eec7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:35:57 2010 -0800

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5505a663714c71aa3545889633f36079522edcb5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:34:33 2010 -0800

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6919c12a985abd335b4890005d572107f833c3ec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 20 10:31:43 2010 -0800

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8180d8ea42cfdda9ed3828fb28d1a6cd24d951db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:06 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 04d8b9bfcd40eee452ba080b654dac9281251115
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:47 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6c21e467c805d62593d34da9e83a2fa2f01798a6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Dec 17 19:51:44 2009 -0800

    xcalc 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 146b1da64e575d330c2599161938140a4233cb6a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Dec 17 19:21:22 2009 -0800

    Apply automake silencer to man page generation rule
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit abb1bf5b74642f8d40ca5fbf87490c5186f41590
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 109d08574cf3d951d73668a5a23c97dad94d6e75
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit dc35d949925e76e74403b4aea02c2ff198bf0ec6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 31a1d8fc1486e6dd0cb9c5ba569c820b3b79d890
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit befb756a62a11a857f20f903b8b892768a58e229
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit eab3461ac8e9e809094f45ca2084ddf7b4485035
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 27 15:37:25 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit b685a52aa117e9c7841fdb9b9e6b44fe898cd929
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:20 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit dd6ca812a9e540ade4afd5db9dd13ea7ed3ea3ab
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 12 20:09:07 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit fd75efe1d9b57c483f7cedd9e2dce34b97eef75e
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:49 2008 -0400

    xaw8 is gone, use xaw7

commit e8360958ef3dba1e7ab8282c5055b0ccf5650f1c
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 16 14:20:03 2008 +0200

    $(builddir) is the current directory
    
    Apparently automake doesn't always export the builddir variable.
    This fixes my previous commit.

commit d3849e5474e65d2cf4212118896883330752c763
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 20 19:42:48 2008 +0200

    Fix build with builddir != srcdir

commit 18db0ddc3a18317585172374d0157dbdc76146aa
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:07:34 2008 -0700

    Build fix for file systems that are not case sensitive

commit 9f76a0d8684da6dfad67282be213139b6f87a05a
Author: Matthieu Herrb <matthieu@bluenote.herrb.net>
Date:   Sat Mar 8 22:09:59 2008 +0100

    Makefile.am: nuke RCS Id

commit 19fad31ddef4c1063ee2315dfee94e4ebb5f0ff0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:23:52 2007 -0700

    Version bump: 1.0.2

commit c4ada4a7ee46f8ab0dfeb2cd311758d9197a59a8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:19:09 2007 -0700

    Fill in COPYING with copyright/license notices from source files

commit 5ee182a964d0ba16315935ec9bfd91779ed4a2a1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:15:50 2007 -0700

    Replace static changelog with dist-hook to generate from git log

commit 3c9230230e88f6421ea3549f813eabceb4120734
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:03:07 2007 -0700

    renamed: .cvsignore -> .gitignore

commit b2c489924708b202f33f6528d3269911662f906c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:02:19 2007 -0700

    Change xcalc_CFLAGS to AM_CFLAGS to make automake-1.10 happier

commit b586f35824d7c3bc061ba96e82b48744041dac59
Author: Mike Markowski <mm@udel.edu>
Date:   Wed Jul 12 11:28:40 2006 -0700

    Bug #4914: Add HP mode resources to XCalc-color app-defaults
    
    X.Org bug #4914 <https://bugs.freedesktop.org/show_bug.cgi?id=4914>
    Patch #3658 <https://bugs.freedesktop.org/attachment.cgi?id=3658>

commit 322a3bd493b99164925e852df5ffa8e1a650f496
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:48 2005 +0000

    Update package version for X11R7 release.

commit 8b7933c8192364e55b863b3e88ad64dbd6004bcc
Author: Adam Jackson <ajax@nwnk.net>
[--snip--]
